Test::LeakTrace::Script(3)

NAME
Test::LeakTrace::Script - A LeakTrace interface for whole scripts

SYNOPSIS
        #!perl -w
        use Test::LeakTrace::Script sub{
                my($svref, $file, $line) = @_;

                warn "leaked $svref from $file line $line.\n";
        };

DESCRIPTION
This is a interface to "Test::LeakTrace" for whole scripts.

INTERFACE

  Command line interface
        $ perl -MTest::LeakTrace::Script script.pl

        $ perl -MTest::LeakTrace::Script=-verbose script.pl

        $ TEST_LEAKTRACE=-lines script.pl

ENVIRONMENT VARIABLES

  TEST_LEAKTRACE=mode
-simple (DEFAULT)

-sv_dump

-lines

-verbose

SEE ALSO
Test::LeakTrace.